<div class="calendar">
    <div class="calendar-header">
        <strong>{{'staffAbs.workCalendarDetail.calendarFormat' | translate}} {{firstDayOfMonth.format('MM, YYYY')}}</strong>
    </div>
    <div class="calendar-body">
        <table class="calendar-table">
            <caption></caption>
            <tbody>
                <tr>
                    <th scope="col" >Mo</th>
                    <th scope="col" >Tu</th>
                    <th scope="col" >We</th>
                    <th scope="col" >Th</th>
                    <th scope="col" >Fr</th>
                    <th scope="col"  style="color: red">Sa</th>
                    <th scope="col"  style="color: red">Su</th>
                </tr>
                <tr *ngFor="let week of listWeek">
                    <td *ngFor="let day of week" [ngClass]="{disabled: day.month() != firstDayOfMonth.month()}" title="{{mapDescriptions[day.format('DD/MM/YYYY')]}}">
                        <div class="display-table day-default {{day.format('dddd')}}
                            {{mapWorkCalendarDetails[day.format('DD/MM/YYYY')] ? mapWorkCalendarDetails[day.format('DD/MM/YYYY')]?.workdayType: ''}}
                            {{mapWorkCalendarDetails[day.format('DD/MM/YYYY')] ? mapWorkCalendarDetails[day.format('DD/MM/YYYY')]?.workdayTime: ''}}
                            ">
                            <div class="table-cell holiday-date">
                                {{day.format('DD')}}
                            </div>
                            <div class="table-cell holiday-item">

                            </div>
                        </div>
                    </td>
                </tr>
            </tbody>
        </table>
    </div>
</div>
